/*******************************************
 *
 * $GAMGI/src/chem/gamgi_chem.h
 *
 * Copyright (C) 2001, 2004 Carlos Pereira
 *
 * Distributed under the terms of the GNU
 * General Public License: $GAMGI/LICENSE
 *
 */

#ifndef GAMGI_CHEM
#define GAMGI_CHEM

/************* macros ************
 *********************************/

/*****************************************************
 * 1) Radius are Covalent.                           *
 * 2) Color format: [0, 1] for each r, g, b channel. *
 * 3) Mass and Radius from: www.webelements.com      * 
 *****************************************************/

/*********
 * Dummy *
 *********/

#define GAMGI_CHEM_DU 0

#define GAMGI_CHEM_DU_MASS 0.0
#define GAMGI_CHEM_DU_RADIUS 0.0

#define GAMGI_CHEM_DU_R 0.864
#define GAMGI_CHEM_DU_G 0.864
#define GAMGI_CHEM_DU_B 0.864

/************
 * Hydrogen *
 ************/

#define GAMGI_CHEM_H 1

#define GAMGI_CHEM_H_MASS 1.0079
#define GAMGI_CHEM_H_RADIUS 0.37

#define GAMGI_CHEM_H_R 1.000
#define GAMGI_CHEM_H_G 1.000
#define GAMGI_CHEM_H_B 1.000

/**********
 * Helium *
 **********/

#define GAMGI_CHEM_HE 2

#define GAMGI_CHEM_HE_MASS 4.0026
#define GAMGI_CHEM_HE_RADIUS 0.32

#define GAMGI_CHEM_HE_R 0.850
#define GAMGI_CHEM_HE_G 1.000
#define GAMGI_CHEM_HE_B 1.000

/***********
 * Lithium *
 ***********/

#define GAMGI_CHEM_LI 3

#define GAMGI_CHEM_LI_MASS 6.941
#define GAMGI_CHEM_LI_RADIUS 1.34

#define GAMGI_CHEM_LI_R 0.800
#define GAMGI_CHEM_LI_G 0.500
#define GAMGI_CHEM_LI_B 1.000

/*************
 * Beryllium *
 *************/

#define GAMGI_CHEM_BE 4

#define GAMGI_CHEM_BE_MASS 9.0122
#define GAMGI_CHEM_BE_RADIUS 0.90

#define GAMGI_CHEM_BE_R 0.760
#define GAMGI_CHEM_BE_G 1.000
#define GAMGI_CHEM_BE_B 0.000

/*********
 * Boron *
 *********/

#define GAMGI_CHEM_B 5

#define GAMGI_CHEM_B_MASS 10.811
#define GAMGI_CHEM_B_RADIUS 0.82

#define GAMGI_CHEM_B_R 1.000
#define GAMGI_CHEM_B_G 0.710
#define GAMGI_CHEM_B_B 0.710

/**********
 * Carbon *
 **********/

#define GAMGI_CHEM_C 6

#define GAMGI_CHEM_C_MASS 12.0107
#define GAMGI_CHEM_C_RADIUS 0.77

#define GAMGI_CHEM_C_R 0.000
#define GAMGI_CHEM_C_G 0.650
#define GAMGI_CHEM_C_B 0.000

/************
 * Nitrogen *
 ************/

#define GAMGI_CHEM_N 7

#define GAMGI_CHEM_N_MASS 14.0067
#define GAMGI_CHEM_N_RADIUS 0.75

#define GAMGI_CHEM_N_R  0.500
#define GAMGI_CHEM_N_G  0.500
#define GAMGI_CHEM_N_B  1.000

/**********
 * Oxygen *
 **********/

#define GAMGI_CHEM_O 8

#define GAMGI_CHEM_O_MASS 15.9994
#define GAMGI_CHEM_O_RADIUS 0.73

#define GAMGI_CHEM_O_R 1.000
#define GAMGI_CHEM_O_G 0.000
#define GAMGI_CHEM_O_B 0.000

/************
 * Fluorine *
 ************/

#define GAMGI_CHEM_F 9

#define GAMGI_CHEM_F_MASS 18.9984
#define GAMGI_CHEM_F_RADIUS 0.71

#define GAMGI_CHEM_F_R 0.700
#define GAMGI_CHEM_F_G 1.000
#define GAMGI_CHEM_F_B 1.000

/********
 * Neon *
 ********/

#define GAMGI_CHEM_NE 10

#define GAMGI_CHEM_NE_MASS 20.1797
#define GAMGI_CHEM_NE_RADIUS 0.69

#define GAMGI_CHEM_NE_R 0.700
#define GAMGI_CHEM_NE_G 0.890
#define GAMGI_CHEM_NE_B 0.960

/**********
 * Sodium *
 **********/

#define GAMGI_CHEM_NA 11

#define GAMGI_CHEM_NA_MASS 22.9898 
#define GAMGI_CHEM_NA_RADIUS 1.54

#define GAMGI_CHEM_NA_R 0.000
#define GAMGI_CHEM_NA_G 0.000
#define GAMGI_CHEM_NA_B 1.000

/*************
 * Magnesium *
 *************/

#define GAMGI_CHEM_MG 12

#define GAMGI_CHEM_MG_MASS 24.3050
#define GAMGI_CHEM_MG_RADIUS 1.30

#define GAMGI_CHEM_MG_R 0.540
#define GAMGI_CHEM_MG_G 1.000
#define GAMGI_CHEM_MG_B 0.000

/*************
 * Aluminium *
 *************/

#define GAMGI_CHEM_AL 13

#define GAMGI_CHEM_AL_MASS 26.9815
#define GAMGI_CHEM_AL_RADIUS 1.18

#define GAMGI_CHEM_AL_R 0.750
#define GAMGI_CHEM_AL_G 0.650
#define GAMGI_CHEM_AL_B 0.650

/***********
 * Silicon *
 ***********/

#define GAMGI_CHEM_SI 14

#define GAMGI_CHEM_SI_MASS 28.0855
#define GAMGI_CHEM_SI_RADIUS 1.11

#define GAMGI_CHEM_SI_R 1.000
#define GAMGI_CHEM_SI_G 1.000
#define GAMGI_CHEM_SI_B 0.000

/**************
 * Phosphorus *
 **************/

#define GAMGI_CHEM_P 15

#define GAMGI_CHEM_P_MASS 30.9738
#define GAMGI_CHEM_P_RADIUS 1.06

#define GAMGI_CHEM_P_R 1.000
#define GAMGI_CHEM_P_G 0.500
#define GAMGI_CHEM_P_B 0.000

/**********
 * Sulfur *
 **********/

#define GAMGI_CHEM_S 16

#define GAMGI_CHEM_S_MASS 32.066
#define GAMGI_CHEM_S_RADIUS 1.02

#define GAMGI_CHEM_S_R 1.000
#define GAMGI_CHEM_S_G 1.000
#define GAMGI_CHEM_S_B 0.650

/************
 * Chlorine *
 ************/

#define GAMGI_CHEM_CL 17

#define GAMGI_CHEM_CL_MASS 35.4527
#define GAMGI_CHEM_CL_RADIUS 0.99

#define GAMGI_CHEM_CL_R 0.120
#define GAMGI_CHEM_CL_G 0.940
#define GAMGI_CHEM_CL_B 0.120

/*********
 * Argon *
 *********/

#define GAMGI_CHEM_AR 18

#define GAMGI_CHEM_AR_MASS 39.948
#define GAMGI_CHEM_AR_RADIUS 0.97

#define GAMGI_CHEM_AR_R 0.500
#define GAMGI_CHEM_AR_G 0.820
#define GAMGI_CHEM_AR_B 0.890

/*************
 * Potassium *
 *************/

#define GAMGI_CHEM_K 19

#define GAMGI_CHEM_K_MASS 39.0983
#define GAMGI_CHEM_K_RADIUS 1.96

#define GAMGI_CHEM_K_R 0.560
#define GAMGI_CHEM_K_G 0.250
#define GAMGI_CHEM_K_B 0.830

/***********
 * Calcium *
 ***********/

#define GAMGI_CHEM_CA 20

#define GAMGI_CHEM_CA_MASS 40.078
#define GAMGI_CHEM_CA_RADIUS 1.74

#define GAMGI_CHEM_CA_R 0.240
#define GAMGI_CHEM_CA_G 1.000
#define GAMGI_CHEM_CA_B 0.000

/************
 * Scandium *
 ************/

#define GAMGI_CHEM_SC 21

#define GAMGI_CHEM_SC_MASS 44.9559
#define GAMGI_CHEM_SC_RADIUS 1.44

#define GAMGI_CHEM_SC_R 0.900
#define GAMGI_CHEM_SC_G 0.900
#define GAMGI_CHEM_SC_B 0.900

/************
 * Titanium *
 ************/

#define GAMGI_CHEM_TI 22

#define GAMGI_CHEM_TI_MASS 47.867
#define GAMGI_CHEM_TI_RADIUS 1.36

#define GAMGI_CHEM_TI_R 0.750
#define GAMGI_CHEM_TI_G 0.760
#define GAMGI_CHEM_TI_B 0.780

/************
 * Vanadium *
 ************/

#define GAMGI_CHEM_V 23

#define GAMGI_CHEM_V_MASS 50.9415
#define GAMGI_CHEM_V_RADIUS 1.25

#define GAMGI_CHEM_V_R 0.650
#define GAMGI_CHEM_V_G 0.650
#define GAMGI_CHEM_V_B 0.670

/************
 * Chromium *
 ************/

#define GAMGI_CHEM_CR 24

#define GAMGI_CHEM_CR_MASS 51.9961 
#define GAMGI_CHEM_CR_RADIUS 1.27

#define GAMGI_CHEM_CR_R 0.540
#define GAMGI_CHEM_CR_G 0.600
#define GAMGI_CHEM_CR_B 0.780

/*************
 * Manganese *
 *************/

#define GAMGI_CHEM_MN 25

#define GAMGI_CHEM_MN_MASS 54.9380
#define GAMGI_CHEM_MN_RADIUS 1.39

#define GAMGI_CHEM_MN_R 0.610
#define GAMGI_CHEM_MN_G 0.480
#define GAMGI_CHEM_MN_B 0.780

/********
 * Iron *
 ********/

#define GAMGI_CHEM_FE 26

#define GAMGI_CHEM_FE_MASS 55.845
#define GAMGI_CHEM_FE_RADIUS 1.25

#define GAMGI_CHEM_FE_R 0.500
#define GAMGI_CHEM_FE_G 0.480
#define GAMGI_CHEM_FE_B 0.780

/**********
 * Cobalt *
 **********/

#define GAMGI_CHEM_CO 27

#define GAMGI_CHEM_CO_MASS 58.9332
#define GAMGI_CHEM_CO_RADIUS 1.26

#define GAMGI_CHEM_CO_R 0.440
#define GAMGI_CHEM_CO_G 0.480
#define GAMGI_CHEM_CO_B 0.780

/**********
 * Nickel *
 **********/

#define GAMGI_CHEM_NI 28

#define GAMGI_CHEM_NI_MASS 58.6934
#define GAMGI_CHEM_NI_RADIUS 1.21

#define GAMGI_CHEM_NI_R 0.360
#define GAMGI_CHEM_NI_G 0.480
#define GAMGI_CHEM_NI_B 0.760

/**********
 * Copper *
 **********/

#define GAMGI_CHEM_CU 29

#define GAMGI_CHEM_CU_MASS 63.546
#define GAMGI_CHEM_CU_RADIUS 1.38

#define GAMGI_CHEM_CU_R 1.000
#define GAMGI_CHEM_CU_G 0.480
#define GAMGI_CHEM_CU_B 0.380

/********
 * Zinc *
 ********/

#define GAMGI_CHEM_ZN 30

#define GAMGI_CHEM_ZN_MASS 65.39
#define GAMGI_CHEM_ZN_RADIUS 1.31

#define GAMGI_CHEM_ZN_R 0.490
#define GAMGI_CHEM_ZN_G 0.500
#define GAMGI_CHEM_ZN_B 0.690

/***********
 * Gallium *
 ***********/

#define GAMGI_CHEM_GA 31

#define GAMGI_CHEM_GA_MASS 69.723
#define GAMGI_CHEM_GA_RADIUS 1.26

#define GAMGI_CHEM_GA_R 0.760
#define GAMGI_CHEM_GA_G 0.560
#define GAMGI_CHEM_GA_B 0.560

/*************
 * Germanium *
 *************/

#define GAMGI_CHEM_GE 32

#define GAMGI_CHEM_GE_MASS 72.61
#define GAMGI_CHEM_GE_RADIUS 1.22

#define GAMGI_CHEM_GE_R 0.400
#define GAMGI_CHEM_GE_G 0.560
#define GAMGI_CHEM_GE_B 0.560

/***********
 * Arsenic *
 ***********/

#define GAMGI_CHEM_AS 33

#define GAMGI_CHEM_AS_MASS 74.9216
#define GAMGI_CHEM_AS_RADIUS 1.19

#define GAMGI_CHEM_AS_R 0.740
#define GAMGI_CHEM_AS_G 0.500
#define GAMGI_CHEM_AS_B 0.890

/************
 * Selenium *
 ************/

#define GAMGI_CHEM_SE 34

#define GAMGI_CHEM_SE_MASS 78.96
#define GAMGI_CHEM_SE_RADIUS 1.16

#define GAMGI_CHEM_SE_R 1.000
#define GAMGI_CHEM_SE_G 0.630
#define GAMGI_CHEM_SE_B 0.000

/***********
 * Bromine *
 ***********/

#define GAMGI_CHEM_BR 35

#define GAMGI_CHEM_BR_MASS 79.904
#define GAMGI_CHEM_BR_RADIUS 1.14

#define GAMGI_CHEM_BR_R 0.650
#define GAMGI_CHEM_BR_G 0.160
#define GAMGI_CHEM_BR_B 0.160

/***********
 * Krypton *
 ***********/

#define GAMGI_CHEM_KR 36

#define GAMGI_CHEM_KR_MASS 83.80
#define GAMGI_CHEM_KR_RADIUS 1.10

#define GAMGI_CHEM_KR_R 0.360
#define GAMGI_CHEM_KR_G 0.720
#define GAMGI_CHEM_KR_B 0.820

/************
 * Rubidium *
 ************/

#define GAMGI_CHEM_RB 37

#define GAMGI_CHEM_RB_MASS 85.4678
#define GAMGI_CHEM_RB_RADIUS 2.11

#define GAMGI_CHEM_RB_R 0.440
#define GAMGI_CHEM_RB_G 0.180
#define GAMGI_CHEM_RB_B 0.690

/*************
 * Strontium *
 *************/

#define GAMGI_CHEM_SR 38

#define GAMGI_CHEM_SR_MASS 87.62
#define GAMGI_CHEM_SR_RADIUS 1.92

#define GAMGI_CHEM_SR_R 0.000
#define GAMGI_CHEM_SR_G 1.000
#define GAMGI_CHEM_SR_B 0.000

/***********
 * Yttrium *
 ***********/

#define GAMGI_CHEM_Y 39

#define GAMGI_CHEM_Y_MASS 88.9059
#define GAMGI_CHEM_Y_RADIUS 1.62

#define GAMGI_CHEM_Y_R 0.580
#define GAMGI_CHEM_Y_G 1.000
#define GAMGI_CHEM_Y_B 1.000

/*************
 * Zirconium *
 *************/

#define GAMGI_CHEM_ZR 40

#define GAMGI_CHEM_ZR_MASS 91.224
#define GAMGI_CHEM_ZR_RADIUS 1.48 

#define GAMGI_CHEM_ZR_R 0.580
#define GAMGI_CHEM_ZR_G 0.880
#define GAMGI_CHEM_ZR_B 0.880

/***********
 * Niobium *
 ***********/

#define GAMGI_CHEM_NB 41

#define GAMGI_CHEM_NB_MASS 92.9064
#define GAMGI_CHEM_NB_RADIUS 1.37

#define GAMGI_CHEM_NB_R 0.450
#define GAMGI_CHEM_NB_G 0.760
#define GAMGI_CHEM_NB_B 0.790

/**************
 * Molybdenum *
 **************/

#define GAMGI_CHEM_MO 42

#define GAMGI_CHEM_MO_MASS 95.94 
#define GAMGI_CHEM_MO_RADIUS 1.45 

#define GAMGI_CHEM_MO_R 0.330
#define GAMGI_CHEM_MO_G 0.710
#define GAMGI_CHEM_MO_B 0.710

/**************
 * Technetium *
 **************/

#define GAMGI_CHEM_TC 43

#define GAMGI_CHEM_TC_MASS 98
#define GAMGI_CHEM_TC_RADIUS 1.56

#define GAMGI_CHEM_TC_R 0.230
#define GAMGI_CHEM_TC_G 0.620
#define GAMGI_CHEM_TC_B 0.620

/*************
 * Ruthenium *
 *************/

#define GAMGI_CHEM_RU 44

#define GAMGI_CHEM_RU_MASS 101.07
#define GAMGI_CHEM_RU_RADIUS 1.26 

#define GAMGI_CHEM_RU_R 0.140
#define GAMGI_CHEM_RU_G 0.560
#define GAMGI_CHEM_RU_B 0.560

/***********
 * Rhodium *
 ***********/

#define GAMGI_CHEM_RH 45

#define GAMGI_CHEM_RH_MASS 102.9055
#define GAMGI_CHEM_RH_RADIUS 1.35

#define GAMGI_CHEM_RH_R 0.040
#define GAMGI_CHEM_RH_G 0.490
#define GAMGI_CHEM_RH_B 0.550

/*************
 * Palladium *
 *************/

#define GAMGI_CHEM_PD 46

#define GAMGI_CHEM_PD_MASS 106.42 
#define GAMGI_CHEM_PD_RADIUS 1.31 

#define GAMGI_CHEM_PD_R 0.000
#define GAMGI_CHEM_PD_G 0.410
#define GAMGI_CHEM_PD_B 0.520

/**********
 * Silver *
 **********/

#define GAMGI_CHEM_AG 47

#define GAMGI_CHEM_AG_MASS 107.8682
#define GAMGI_CHEM_AG_RADIUS 1.53

#define GAMGI_CHEM_AG_R 0.880
#define GAMGI_CHEM_AG_G 0.880
#define GAMGI_CHEM_AG_B 1.000

/***********
 * Cadmium *
 ***********/

#define GAMGI_CHEM_CD 48

#define GAMGI_CHEM_CD_MASS 112.411
#define GAMGI_CHEM_CD_RADIUS 1.48

#define GAMGI_CHEM_CD_R 1.000
#define GAMGI_CHEM_CD_G 0.850
#define GAMGI_CHEM_CD_B 0.560

/**********
 * Indium *
 **********/

#define GAMGI_CHEM_IN 49

#define GAMGI_CHEM_IN_MASS 114.818 
#define GAMGI_CHEM_IN_RADIUS 1.44

#define GAMGI_CHEM_IN_R 0.650
#define GAMGI_CHEM_IN_G 0.460
#define GAMGI_CHEM_IN_B 0.450

/*******
 * Tin *
 *******/

#define GAMGI_CHEM_SN 50

#define GAMGI_CHEM_SN_MASS 118.710
#define GAMGI_CHEM_SN_RADIUS 1.41

#define GAMGI_CHEM_SN_R 0.400
#define GAMGI_CHEM_SN_G 0.500
#define GAMGI_CHEM_SN_B 0.500

/************
 * Antimony *
 ************/

#define GAMGI_CHEM_SB 51

#define GAMGI_CHEM_SB_MASS 121.760
#define GAMGI_CHEM_SB_RADIUS 1.38 

#define GAMGI_CHEM_SB_R 0.620
#define GAMGI_CHEM_SB_G 0.390
#define GAMGI_CHEM_SB_B 0.710

/*************
 * Tellurium *
 *************/

#define GAMGI_CHEM_TE 52

#define GAMGI_CHEM_TE_MASS 127.60
#define GAMGI_CHEM_TE_RADIUS 1.35

#define GAMGI_CHEM_TE_R 0.830
#define GAMGI_CHEM_TE_G 0.480
#define GAMGI_CHEM_TE_B 0.000

/**********
 * Iodine *
 **********/

#define GAMGI_CHEM_I 53

#define GAMGI_CHEM_I_MASS 126.9045
#define GAMGI_CHEM_I_RADIUS 1.33 

#define GAMGI_CHEM_I_R 0.580
#define GAMGI_CHEM_I_G 0.000
#define GAMGI_CHEM_I_B 0.580

/*********
 * Xenon *
 *********/

#define GAMGI_CHEM_XE 54

#define GAMGI_CHEM_XE_MASS 131.29
#define GAMGI_CHEM_XE_RADIUS 1.30

#define GAMGI_CHEM_XE_R 0.260
#define GAMGI_CHEM_XE_G 0.620
#define GAMGI_CHEM_XE_B 0.690

/**********
 * Cesium *
 **********/

#define GAMGI_CHEM_CS 55

#define GAMGI_CHEM_CS_MASS 132.9055
#define GAMGI_CHEM_CS_RADIUS 2.25 

#define GAMGI_CHEM_CS_R 0.340
#define GAMGI_CHEM_CS_G 0.090
#define GAMGI_CHEM_CS_B 0.560

/**********
 * Barium *
 **********/

#define GAMGI_CHEM_BA 56

#define GAMGI_CHEM_BA_MASS 137.327 
#define GAMGI_CHEM_BA_RADIUS 1.98 

#define GAMGI_CHEM_BA_R 0.000
#define GAMGI_CHEM_BA_G 0.790
#define GAMGI_CHEM_BA_B 0.000

/*************
 * Lanthanum *
 *************/

#define GAMGI_CHEM_LA 57

#define GAMGI_CHEM_LA_MASS 138.9055
#define GAMGI_CHEM_LA_RADIUS 1.69

#define GAMGI_CHEM_LA_R 0.440
#define GAMGI_CHEM_LA_G 0.830
#define GAMGI_CHEM_LA_B 1.000

/**********
 * Cerium *
 **********/

#define GAMGI_CHEM_CE 58

#define GAMGI_CHEM_CE_MASS 140.116
#define GAMGI_CHEM_CE_RADIUS 0.0

#define GAMGI_CHEM_CE_R 1.000
#define GAMGI_CHEM_CE_G 1.000
#define GAMGI_CHEM_CE_B 0.780

/****************
 * Praseodymium *
 ****************/

#define GAMGI_CHEM_PR 59

#define GAMGI_CHEM_PR_MASS 140.9077
#define GAMGI_CHEM_PR_RADIUS 0.0

#define GAMGI_CHEM_PR_R 0.850
#define GAMGI_CHEM_PR_G 1.000
#define GAMGI_CHEM_PR_B 0.780

/*************
 * Neodymium *
 *************/

#define GAMGI_CHEM_ND 60

#define GAMGI_CHEM_ND_MASS 144.24 
#define GAMGI_CHEM_ND_RADIUS 0.0

#define GAMGI_CHEM_ND_R 0.780
#define GAMGI_CHEM_ND_G 1.000
#define GAMGI_CHEM_ND_B 0.780

/**************
 * Promethium *
 **************/

#define GAMGI_CHEM_PM 61

#define GAMGI_CHEM_PM_MASS 145
#define GAMGI_CHEM_PM_RADIUS 0.0

#define GAMGI_CHEM_PM_R 0.640
#define GAMGI_CHEM_PM_G 1.000
#define GAMGI_CHEM_PM_B 0.780

/************
 * Samarium *
 ************/

#define GAMGI_CHEM_SM 62

#define GAMGI_CHEM_SM_MASS 150.36
#define GAMGI_CHEM_SM_RADIUS 0.0

#define GAMGI_CHEM_SM_R 0.560
#define GAMGI_CHEM_SM_G 1.000
#define GAMGI_CHEM_SM_B 0.780

/************
 * Europium *
 ************/

#define GAMGI_CHEM_EU 63

#define GAMGI_CHEM_EU_MASS 151.964
#define GAMGI_CHEM_EU_RADIUS 0.0

#define GAMGI_CHEM_EU_R 0.380
#define GAMGI_CHEM_EU_G 1.000
#define GAMGI_CHEM_EU_B 0.780

/**************
 * Gadolinium *
 **************/

#define GAMGI_CHEM_GD 64

#define GAMGI_CHEM_GD_MASS 157.25
#define GAMGI_CHEM_GD_RADIUS 0.0

#define GAMGI_CHEM_GD_R 0.270
#define GAMGI_CHEM_GD_G 1.000
#define GAMGI_CHEM_GD_B 0.780

/***********
 * Terbium *
 ***********/

#define GAMGI_CHEM_TB 65

#define GAMGI_CHEM_TB_MASS 158.9253
#define GAMGI_CHEM_TB_RADIUS 0.0

#define GAMGI_CHEM_TB_R 0.190
#define GAMGI_CHEM_TB_G 1.000
#define GAMGI_CHEM_TB_B 0.780

/**************
 * Dysprosium *
 **************/

#define GAMGI_CHEM_DY 66

#define GAMGI_CHEM_DY_MASS 162.50
#define GAMGI_CHEM_DY_RADIUS 0.0

#define GAMGI_CHEM_DY_R 0.120
#define GAMGI_CHEM_DY_G 1.000
#define GAMGI_CHEM_DY_B 0.780

/***********
 * Holmium *
 ***********/

#define GAMGI_CHEM_HO 67

#define GAMGI_CHEM_HO_MASS 164.9303
#define GAMGI_CHEM_HO_RADIUS 0.0

#define GAMGI_CHEM_HO_R 0.000
#define GAMGI_CHEM_HO_G 1.000
#define GAMGI_CHEM_HO_B 0.610

/**********
 * Erbium *
 **********/

#define GAMGI_CHEM_ER 68

#define GAMGI_CHEM_ER_MASS 167.26
#define GAMGI_CHEM_ER_RADIUS 0.0

#define GAMGI_CHEM_ER_R 0.000
#define GAMGI_CHEM_ER_G 0.900
#define GAMGI_CHEM_ER_B 0.460

/************
 * Thulium *
 ************/

#define GAMGI_CHEM_TM 69

#define GAMGI_CHEM_TM_MASS 168.9342
#define GAMGI_CHEM_TM_RADIUS 0.0

#define GAMGI_CHEM_TM_R 0.000
#define GAMGI_CHEM_TM_G 0.830
#define GAMGI_CHEM_TM_B 0.320

/*************
 * Ytterbium *
 *************/

#define GAMGI_CHEM_YB 70

#define GAMGI_CHEM_YB_MASS 173.04
#define GAMGI_CHEM_YB_RADIUS 0.0

#define GAMGI_CHEM_YB_R 0.000
#define GAMGI_CHEM_YB_G 0.750
#define GAMGI_CHEM_YB_B 0.220

/************
 * Lutetium *
 ************/

#define GAMGI_CHEM_LU 71

#define GAMGI_CHEM_LU_MASS 174.967
#define GAMGI_CHEM_LU_RADIUS 1.60

#define GAMGI_CHEM_LU_R 0.000
#define GAMGI_CHEM_LU_G 0.670
#define GAMGI_CHEM_LU_B 0.140

/***********
 * Hafnium *
 ***********/

#define GAMGI_CHEM_HF 72

#define GAMGI_CHEM_HF_MASS 178.49 
#define GAMGI_CHEM_HF_RADIUS 1.50

#define GAMGI_CHEM_HF_R 0.300
#define GAMGI_CHEM_HF_G 0.760
#define GAMGI_CHEM_HF_B 1.000

/************
 * Tantalum *
 ************/

#define GAMGI_CHEM_TA 73

#define GAMGI_CHEM_TA_MASS 180.9479 
#define GAMGI_CHEM_TA_RADIUS 1.38

#define GAMGI_CHEM_TA_R 0.300
#define GAMGI_CHEM_TA_G 0.650
#define GAMGI_CHEM_TA_B 1.000

/************
 * Tungsten *
 ************/

#define GAMGI_CHEM_W 74

#define GAMGI_CHEM_W_MASS 183.84 
#define GAMGI_CHEM_W_RADIUS 1.46 

#define GAMGI_CHEM_W_R 0.130
#define GAMGI_CHEM_W_G 0.580
#define GAMGI_CHEM_W_B 0.840

/***********
 * Rhenium *
 ***********/

#define GAMGI_CHEM_RE 75

#define GAMGI_CHEM_RE_MASS 186.207
#define GAMGI_CHEM_RE_RADIUS 1.59 

#define GAMGI_CHEM_RE_R 0.150
#define GAMGI_CHEM_RE_G 0.490
#define GAMGI_CHEM_RE_B 0.670

/**********
 * Osmium *
 **********/

#define GAMGI_CHEM_OS 76

#define GAMGI_CHEM_OS_MASS 190.23
#define GAMGI_CHEM_OS_RADIUS 1.28 

#define GAMGI_CHEM_OS_R 0.150
#define GAMGI_CHEM_OS_G 0.400
#define GAMGI_CHEM_OS_B 0.590

/***********
 * Iridium *
 ***********/

#define GAMGI_CHEM_IR 77

#define GAMGI_CHEM_IR_MASS 192.217 
#define GAMGI_CHEM_IR_RADIUS 1.37 

#define GAMGI_CHEM_IR_R 0.090
#define GAMGI_CHEM_IR_G 0.330
#define GAMGI_CHEM_IR_B 0.530

/*************
 * Platinium *
 *************/

#define GAMGI_CHEM_PT 78

#define GAMGI_CHEM_PT_MASS 195.078 
#define GAMGI_CHEM_PT_RADIUS 1.28 

#define GAMGI_CHEM_PT_R 0.960
#define GAMGI_CHEM_PT_G 0.930
#define GAMGI_CHEM_PT_B 0.820

/********
 * Gold *
 ********/

#define GAMGI_CHEM_AU 79

#define GAMGI_CHEM_AU_MASS 196.9666
#define GAMGI_CHEM_AU_RADIUS 1.44

#define GAMGI_CHEM_AU_R 0.800
#define GAMGI_CHEM_AU_G 0.820
#define GAMGI_CHEM_AU_B 0.120

/************
 * Mercury *
 ************/

#define GAMGI_CHEM_HG 80

#define GAMGI_CHEM_HG_MASS 200.59
#define GAMGI_CHEM_HG_RADIUS 1.49 

#define GAMGI_CHEM_HG_R 0.710
#define GAMGI_CHEM_HG_G 0.710
#define GAMGI_CHEM_HG_B 0.760

/************
 * Thallium *
 ************/

#define GAMGI_CHEM_TL 81

#define GAMGI_CHEM_TL_MASS 204.3833
#define GAMGI_CHEM_TL_RADIUS 1.48

#define GAMGI_CHEM_TL_R 0.650
#define GAMGI_CHEM_TL_G 0.330
#define GAMGI_CHEM_TL_B 0.300

/********
 * Lead *
 ********/

#define GAMGI_CHEM_PB 82

#define GAMGI_CHEM_PB_MASS 207.2
#define GAMGI_CHEM_PB_RADIUS 1.47

#define GAMGI_CHEM_PB_R 0.340
#define GAMGI_CHEM_PB_G 0.350
#define GAMGI_CHEM_PB_B 0.380

/***********
 * Bismuth *
 ***********/

#define GAMGI_CHEM_BI 83

#define GAMGI_CHEM_BI_MASS 208.9804
#define GAMGI_CHEM_BI_RADIUS 1.46

#define GAMGI_CHEM_BI_R 0.620
#define GAMGI_CHEM_BI_G 0.310
#define GAMGI_CHEM_BI_B 0.710

/************
 * Polonium *
 ************/

#define GAMGI_CHEM_PO 84

#define GAMGI_CHEM_PO_MASS 209 
#define GAMGI_CHEM_PO_RADIUS 0.0

#define GAMGI_CHEM_PO_R 0.670
#define GAMGI_CHEM_PO_G 0.360
#define GAMGI_CHEM_PO_B 0.000

/************
 * Astatine *
 ************/

#define GAMGI_CHEM_AT 85

#define GAMGI_CHEM_AT_MASS 210
#define GAMGI_CHEM_AT_RADIUS 0.0

#define GAMGI_CHEM_AT_R 0.460
#define GAMGI_CHEM_AT_G 0.310
#define GAMGI_CHEM_AT_B 0.270

/*********
 * Radon *
 *********/

#define GAMGI_CHEM_RN 86

#define GAMGI_CHEM_RN_MASS 222
#define GAMGI_CHEM_RN_RADIUS 1.45 

#define GAMGI_CHEM_RN_R 0.260
#define GAMGI_CHEM_RN_G 0.510
#define GAMGI_CHEM_RN_B 0.590

/************
 * Francium *
 ************/

#define GAMGI_CHEM_FR 87

#define GAMGI_CHEM_FR_MASS 223
#define GAMGI_CHEM_FR_RADIUS 0.0

#define GAMGI_CHEM_FR_R 0.260
#define GAMGI_CHEM_FR_G 0.000
#define GAMGI_CHEM_FR_B 0.400

/**********
 * Radium *
 **********/

#define GAMGI_CHEM_RA 88

#define GAMGI_CHEM_RA_MASS 226
#define GAMGI_CHEM_RA_RADIUS 0.0

#define GAMGI_CHEM_RA_R 0.000
#define GAMGI_CHEM_RA_G 0.490
#define GAMGI_CHEM_RA_B 0.000

/************
 * Actinium *
 ************/

#define GAMGI_CHEM_AC 89

#define GAMGI_CHEM_AC_MASS 227
#define GAMGI_CHEM_AC_RADIUS 0.0

#define GAMGI_CHEM_AC_R 0.440
#define GAMGI_CHEM_AC_G 0.670
#define GAMGI_CHEM_AC_B 0.980

/***********
 * Thorium *
 ***********/

#define GAMGI_CHEM_TH 90

#define GAMGI_CHEM_TH_MASS 232.0381
#define GAMGI_CHEM_TH_RADIUS 0.0

#define GAMGI_CHEM_TH_R 0.000
#define GAMGI_CHEM_TH_G 0.730
#define GAMGI_CHEM_TH_B 1.000

/****************
 * Protactinium *
 ****************/

#define GAMGI_CHEM_PA 91

#define GAMGI_CHEM_PA_MASS 231.0359
#define GAMGI_CHEM_PA_RADIUS 0.0

#define GAMGI_CHEM_PA_R 0.000
#define GAMGI_CHEM_PA_G 0.630
#define GAMGI_CHEM_PA_B 1.000

/***********
 * Uranium *
 ***********/

#define GAMGI_CHEM_U 92

#define GAMGI_CHEM_U_MASS 238.0289
#define GAMGI_CHEM_U_RADIUS 0.0

#define GAMGI_CHEM_U_R 0.000
#define GAMGI_CHEM_U_G 0.560
#define GAMGI_CHEM_U_B 1.000

/*************
 * Neptunium *
 *************/

#define GAMGI_CHEM_NP 93

#define GAMGI_CHEM_NP_MASS 237
#define GAMGI_CHEM_NP_RADIUS 0.0

#define GAMGI_CHEM_NP_R 0.000
#define GAMGI_CHEM_NP_G 0.500
#define GAMGI_CHEM_NP_B 1.000

/*************
 * Plutonium *
 *************/

#define GAMGI_CHEM_PU 94

#define GAMGI_CHEM_PU_MASS 244
#define GAMGI_CHEM_PU_RADIUS 0.0

#define GAMGI_CHEM_PU_R 0.000
#define GAMGI_CHEM_PU_G 0.420
#define GAMGI_CHEM_PU_B 1.000

/*************
 * Americium *
 *************/

#define GAMGI_CHEM_AM 95

#define GAMGI_CHEM_AM_MASS 243
#define GAMGI_CHEM_AM_RADIUS 0.0

#define GAMGI_CHEM_AM_R 0.330
#define GAMGI_CHEM_AM_G 0.360
#define GAMGI_CHEM_AM_B 0.950

/**********
 * Curium *
 **********/

#define GAMGI_CHEM_CM 96

#define GAMGI_CHEM_CM_MASS 247
#define GAMGI_CHEM_CM_RADIUS 0.0

#define GAMGI_CHEM_CM_R 0.470
#define GAMGI_CHEM_CM_G 0.360
#define GAMGI_CHEM_CM_B 0.890

/*************
 * Berkelium *
 *************/

#define GAMGI_CHEM_BK 97

#define GAMGI_CHEM_BK_MASS 247
#define GAMGI_CHEM_BK_RADIUS 0.0

#define GAMGI_CHEM_BK_R 0.540
#define GAMGI_CHEM_BK_G 0.310
#define GAMGI_CHEM_BK_B 0.890

/***************
 * Californium *
 ***************/

#define GAMGI_CHEM_CF 98

#define GAMGI_CHEM_CF_MASS 251
#define GAMGI_CHEM_CF_RADIUS 0.0

#define GAMGI_CHEM_CF_R 0.630
#define GAMGI_CHEM_CF_G 0.210
#define GAMGI_CHEM_CF_B 0.830

/***************
 * Einsteinium *
 ***************/

#define GAMGI_CHEM_ES 99

#define GAMGI_CHEM_ES_MASS 252
#define GAMGI_CHEM_ES_RADIUS 0.0

#define GAMGI_CHEM_ES_R 0.700
#define GAMGI_CHEM_ES_G 0.120
#define GAMGI_CHEM_ES_B 0.830

/***********
 * Fermium *
 ***********/

#define GAMGI_CHEM_FM 100

#define GAMGI_CHEM_FM_MASS 257
#define GAMGI_CHEM_FM_RADIUS 0.0

#define GAMGI_CHEM_FM_R 0.700
#define GAMGI_CHEM_FM_G 0.120
#define GAMGI_CHEM_FM_B 0.730

/***************
 * Mendelevium *
 ***************/

#define GAMGI_CHEM_MD 101

#define GAMGI_CHEM_MD_MASS 258
#define GAMGI_CHEM_MD_RADIUS 0.0

#define GAMGI_CHEM_MD_R 0.700
#define GAMGI_CHEM_MD_G 0.050
#define GAMGI_CHEM_MD_B 0.650

/************
 * Nobelium *
 ************/

#define GAMGI_CHEM_NO 102

#define GAMGI_CHEM_NO_MASS 259
#define GAMGI_CHEM_NO_RADIUS 0.0

#define GAMGI_CHEM_NO_R 0.740
#define GAMGI_CHEM_NO_G 0.050
#define GAMGI_CHEM_NO_B 0.530

/**************
 * Lawrencium *
 **************/

#define GAMGI_CHEM_LR 103

#define GAMGI_CHEM_LR_MASS 262
#define GAMGI_CHEM_LR_RADIUS 0.0

#define GAMGI_CHEM_LR_R 0.780
#define GAMGI_CHEM_LR_G 0.000
#define GAMGI_CHEM_LR_B 0.400

/****************
 * Rutherfordium *
 ****************/

#define GAMGI_CHEM_RF 104

#define GAMGI_CHEM_RF_MASS 261
#define GAMGI_CHEM_RF_RADIUS 0.0

#define GAMGI_CHEM_RF_R 0.800
#define GAMGI_CHEM_RF_G 0.000
#define GAMGI_CHEM_RF_B 0.350

/***********
 * Dubnium *
 ***********/

#define GAMGI_CHEM_DB 105

#define GAMGI_CHEM_DB_MASS 262
#define GAMGI_CHEM_DB_RADIUS 0.0

#define GAMGI_CHEM_DB_R 0.820
#define GAMGI_CHEM_DB_G 0.000
#define GAMGI_CHEM_DB_B 0.310

/**************
 * Seaborgium *
 **************/

#define GAMGI_CHEM_SG 106

#define GAMGI_CHEM_SG_MASS 263
#define GAMGI_CHEM_SG_RADIUS 0.0

#define GAMGI_CHEM_SG_R 0.850
#define GAMGI_CHEM_SG_G 0.000
#define GAMGI_CHEM_SG_B 0.270

/***********
 * Bohrium *
 ***********/

#define GAMGI_CHEM_BH 107

#define GAMGI_CHEM_BH_MASS 264
#define GAMGI_CHEM_BH_RADIUS 0.0

#define GAMGI_CHEM_BH_R 0.880
#define GAMGI_CHEM_BH_G 0.000
#define GAMGI_CHEM_BH_B 0.220

/***********
 * Hassium *
 ***********/

#define GAMGI_CHEM_HS 108

#define GAMGI_CHEM_HS_MASS 265
#define GAMGI_CHEM_HS_RADIUS 0.0

#define GAMGI_CHEM_HS_R 0.900
#define GAMGI_CHEM_HS_G 0.000
#define GAMGI_CHEM_HS_B 0.180

/**************
 * Meitnerium *
 **************/

#define GAMGI_CHEM_MT 109

#define GAMGI_CHEM_MT_MASS 268
#define GAMGI_CHEM_MT_RADIUS 0.0

#define GAMGI_CHEM_MT_R 0.920
#define GAMGI_CHEM_MT_G 0.000
#define GAMGI_CHEM_MT_B 0.150

/****************
 * Darmstadtium *
 ****************/

#define GAMGI_CHEM_DS 110

#define GAMGI_CHEM_DS_MASS 271
#define GAMGI_CHEM_DS_RADIUS 0.0

#define GAMGI_CHEM_DS_R 0.940
#define GAMGI_CHEM_DS_G 0.000
#define GAMGI_CHEM_DS_B 0.120

/***************
 * Roentgenium *
 ***************/

#define GAMGI_CHEM_RG 111

#define GAMGI_CHEM_RG_MASS 272
#define GAMGI_CHEM_RG_RADIUS 0.0

#define GAMGI_CHEM_RG_R 0.960
#define GAMGI_CHEM_RG_G 0.000
#define GAMGI_CHEM_RG_B 0.090

/*******************************************
 *         number of atomic elements       *
 *                                         *
 * Although GAMGI is currently recognizing *
 * only elements until Rg[111], therefore  *
 * with 2 char names, the source code is   *
 * ready to accept elements with 3 char    *
 * names such as UUo[118] (the periodic    *
 * table will look much larger though).    *
 *******************************************/

#define GAMGI_CHEM_ATOM_MAX 111

/****************************************
 * maximum number of char in atom type, *
 * including the final '\0' char.       *
 ****************************************/

#define GAMGI_CHEM_ATOM_TYPE 10

/***********************
 * Default atom charge *
 ***********************/

#define GAMGI_CHEM_ATOM_CHARGE 0.0

/*******************************************************
 * sum both radius and multiply by lower, upper factor *
 * to get automatic minimum and maximum bond distance  *
 *******************************************************/

#define GAMGI_CHEM_BOND_LOWER 0.80
#define GAMGI_CHEM_BOND_UPPER 1.10

/****************************************************
 * Hash multipliers: 31 (used by Kernighan), 37     *
 * (used in the Java library); Hash numbers: prime  *
 * numbers. Source: The Practice of Programming,    *
 * Brian Kernighan, Rob Pike, Addison-Wesley, 1999  *
 *                                                  *
 *  Minimum size and multiplier needed to produce   *
 *  lists with a maximum of 3, 2, 1 nodes, for the  *
 *  names of all chemical elements until Mt.        *
 *    (tested only for multiplier < 10,000)         *
 *                                                  *
 *       nodes=3 => size=100 multiplier=15          *
 *                                                  *
 *       nodes=2 => size=127 multiplier=37          *
 *                                                  *
 *       nodes=1 => size=430 multiplier=21          *
 ****************************************************/

#define GAMGI_CHEM_HASH_MULTIPLIER 37
#define GAMGI_CHEM_HASH_SIZE 127

/*************************************************
 * -ATOM_MIN should be equal to the smallest     *
 * atomic radius defined, usually the hydrogen   *
 * atom radius.                                  *
 *                                               *
 * -BOND_SIZE should be <= ATOM_SIZE:            *
 * 1: bond cylinders have exactly the ATOM_MIN   *
 * radius. BOND_SIZE should be smaller than      *
 * ATOM_SIZE, to guarantee that bond cylinders   *
 * are never large than atom spheres.            *
 *                                               *
 * cylinder radius = BOND_SIZE x ATOM_MIN        *
 *                                               *
 * -ATOM_SIZE should be >= BOND_SIZE:            *
 * 1: atom spheres have exactly the atomic       *
   radius, if ATOM_VARIANCY is equal to 1, or    *
   ATOM_MIN if ATOM_VARIANCY is equal to 0.      *
   Increasing ATOM_SIZE, atom spheres become     *
   larger.                                       *
 *                                               *
 * -ATOM_VARIANCY should be in the range [0, 1]: *
 * 0: all atom spheres have the same radius,     *
 * ATOM_MIN multiplied by ATOM_SIZE;             *
 * 1: atom spheres have the atomic radius        *
 * multiplied by ATOM_SIZE. Any ATOM_VARIANCY    *
 * value between 0 and 1 can be safely used, but *
 * the atom spheres radius will no longer become *
 * equal to atomic radius or ATOM_MIN, for       *
 * ATOM_SIZE = 1.                                *
 *                                               *
 * sphere radius = ATOM_SIZE x [ATOM_VARIANCY    * 
 * x radius + (1 - ATOM_VARIANCY) x ATOM_MIN]    *
 *                                               *
 * The sphere radius are equal to the atom       * 
 * radius only when ATOM_SIZE and ATOM_VARIANCY  *
 * are both equal to 1.0.                        *
 *************************************************/

#define GAMGI_CHEM_ATOM_MIN GAMGI_CHEM_H_RADIUS
#define GAMGI_CHEM_ATOM_VARIANCY 0.0
#define GAMGI_CHEM_ATOM_SIZE 0.8
#define GAMGI_CHEM_BOND_SIZE 0.5

/*************************************************
 * Atom Temperature: 273.15 Kelvin = 0 Celsius   *
 * (Current IUPAC standard temperature), used in *
 * Diffraction Analysis, in Debye-Waller factors *
 *************************************************/

#define GAMGI_CHEM_ATOM_TEMPERATURE 273.15

/***********************
 * default atom origin *
 ***********************/

#define GAMGI_CHEM_ATOM_X 0.0
#define GAMGI_CHEM_ATOM_Y 0.0
#define GAMGI_CHEM_ATOM_Z 0.0

/**********************************************************************
 * Symmetry operations where differences between initial and          *
 * transformed structures are higher than GAMGI_CHEM_SYMMETRY_INITIAL *
 * are immediately rejected. The others are optimized until the       *
 * fitting is lower than GAMGI_CHEM_SYMMETRY_FINAL or rejected        *
 * if that proves impossible. Making GAMGI_CHEM_SYMMETRY_INITIAL      *
 * equal to GAMGI_CHEM_SYMMETRY_FINAL disables optimization.          *
 **********************************************************************/

#define GAMGI_CHEM_SYMMETRY_TOLERANCE_INITIAL 1.0E-2
#define GAMGI_CHEM_SYMMETRY_TOLERANCE_FINAL   1.0E-3

/******************************************************************
 * Default thickness used to build polygon planes from 3 atoms    *
 * and line directions from 2 atoms. The thickness to link atoms  *
 * to atomic planes and lines cannot be smaller than these values *
 ******************************************************************/

#define GAMGI_CHEM_PLANE_THICKNESS     1.0E-2
#define GAMGI_CHEM_DIRECTION_THICKNESS 1.0E-2

/*********************************************
 * Size of mass, radius arrays used in       *
 * gamgi_chem_mass.c and gamgi_chem_radius.c *
 *********************************************/

#define GAMGI_CHEM_MASS_DOUBLE 1255

#define GAMGI_CHEM_RADIUS_IONIC_INT 930
#define GAMGI_CHEM_RADIUS_IONIC_DOUBLE 489
#define GAMGI_CHEM_RADIUS_ATOMIC_DOUBLE 671

#endif
